Skip to content
Last updated

Client Management API Authentication Management Guide

The Client Management Authentication api allows you to retrieve a JWT token to use with the authenticated Client Management api endpoints.

Overview

With the Client Maangement Authentication API, you can:

  • Retrieve a JWT token to authenticate your Client Management api calls.
  • Rotate your client_secret.

One must pay attention to the token expiry, a token is valid for the entiity of its life.


Authenticate

Before you can call any API endpoint, you must authenticate using the client_id and client_secret originally provided by your RAI Partners' Client Success representative.

API Call Example:

curl -i -X POST \
  https://api.raipartners.com/client-management/auth/token \
  -H 'API-Version: 1.0.0' \
  -H 'Content-Type: application/json' \
  -d '{
    "client_id": "my-client-id",
    "client_secret": "my-super-auth-secret"
  }'

API Call Response Example:

Response
{ "scope": "read:user write:user", "access_token": "eyo.....", "expires_in": 300, "token_type": "Bearer", "not-before-policy": 0, "refresh_expires_in": 300 }

Rotating your secret

Trigger a client_secret rotation per your company's policy

  • A successful response confirms that the secret has been rotated and provides new secret value.

API Call Example:

curl -i -X POST \
  https://api.raipartners.com/client-management/auth/client-secret/rotation \
  -H 'API-Version: 1.0.0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

API Call Response Example:

Response
{ "secret": "PX4eWb9rcRT1RBqvLw4GtuqyoUFWoGLr" }